Timeout for locally deployed model

I tried to deploy a model from sample projects on local computer, after clicking DEPLOY button and get the msg, ‘App is deployed at http://127.0.0.1:8881/…’. But I got the 504 error.

And, there is nothing shown in the Deployments. So does it deploy successfully? If not, any ways to fix it?

More detailed info in Logs tab after clicking DEPLOY button:
Traceback (most recent call last):
File “D:\DeepLearningStudio\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init_.py”, line 660, in build_master
File "D:\DeepLearningStudio\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init
.py", line 968, in require
File “D:\DeepLearningStudio\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init_.py”, line 859, in resolve
pkg_resources.ContextualVersionConflict: (click 5.1 (d:\deeplearningstudio\conda3\lib\site-packages), Requirement.parse(‘click==6.6’), {‘olympus’})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “D:\DeepLearningStudio\conda3\Scripts\olympus-script.py”, line 6, in
from pkg_resources import load_entry_point
File “”, line 968, in _find_and_load
File “”, line 957, in _find_and_load_unlocked
File “”, line 664, in load_unlocked
File “”, line 634, in load_backward_compatible
File "D:\DeepLearningStudio\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init
.py", line 2985, in
File "D:\DeepLearningStudio\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init
.py", line 2971, in call_aside
File "D:\DeepLearningStudio\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init
.py", line 2998, in initialize_master_working_set
File "D:\DeepLearningStudio\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init
.py", line 662, in build_master
File "D:\DeepLearningStudio\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init
.py", line 675, in build_from_requirements
File "D:\DeepLearningStudio\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init
.py", line 854, in resolve
pkg_resources.DistributionNotFound: The ‘click==6.6’ distribution was not found and is required by olympus

Well, I reinstall the studio and the problem solved. Still confused but ok for me.